Package weka.gui.beans

# Class TrainTestSplitMaker

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.AbstractTrainAndTestSetProducer
weka.gui.beans.TrainTestSplitMaker

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`, `BeanCommon`, `DataSourceListener`, `EventConstraints`, `StructureProducer`, `TestSetListener`, `TestSetProducer`, `TrainingSetListener`, `TrainingSetProducer`, `UserRequestAcceptor`, `Visible`

public class TrainTestSplitMaker extends AbstractTrainAndTestSetProducer implements DataSourceListener, TrainingSetListener, TestSetListener, UserRequestAcceptor, EventConstraints, Serializable, StructureProducer
Bean that accepts data sets, training sets, test sets and produces both a training and test set by randomly spliting the data

Version:
  $Revision: 10216 $
Author:
  Mark Hall
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrainTestSplitMaker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `acceptDataSet(DataSetEvent e)`
  Accept a data set
  `void`
  `acceptTestSet(TestSetEvent e)`
  Accept a test set
  `void`
  `acceptTrainingSet(TrainingSetEvent e)`
  Accept a training set
  `void`
  `connectionNotification(String eventName, Object source)`
  Notify this object that it has been registered as a listener with a source with respect to the supplied event name
  `void`
  `disconnectionNotification(String eventName, Object source)`
  Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name
  `Enumeration<String>`
  `enumerateRequests()`
  Get list of user requests
  `boolean`
  `eventGeneratable(String eventName)`
  Returns true, if at the current time, the named event could be generated.
  `String`
  `getCustomName()`
  Get the custom (descriptive) name for this bean (if one has been set)
  `int`
  `getSeed()`
  Get the value of the random seed
  `Instances`
  `getStructure(String eventName)`
  Get the structure of the output encapsulated in the named event.
  `double`
  `getTrainPercent()`
  Get the percentage of the data that will be in the training portion of the split
  `String`
  `globalInfo()`
  Global info for this bean
  `boolean`
  `isBusy()`
  Returns true if.
  `void`
  `performRequest(String request)`
  Perform the named request
  `String`
  `seedTipText()`
  Tip text for this property
  `void`
  `setCustomName(String name)`
  Set a custom (descriptive) name for this bean
  `void`
  `setSeed(int newSeed)`
  Set the random seed
  `void`
  `setTrainPercent(double newTrainPercent)`
  Set the percentage of data to be in the training portion of the split
  `void`
  `stop()`
  Stop processing
  `String`
  `trainPercentTipText()`
  Tip text info for this property

  ### Methods inherited from class weka.gui.beans.AbstractTrainAndTestSetProducer

  `addTestSetListener, addTrainingSetListener, connectionAllowed, connectionAllowed, getVisual, removeTestSetListener, removeTrainingSetListener, setLog, setVisual, useDefaultVisual`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TrainTestSplitMaker

    public TrainTestSplitMaker()

- ## Method Details

  - ### getStructure

    public Instances getStructure(String eventName)
    Get the structure of the output encapsulated in the named event. If the structure can't be determined in advance of seeing input, or this StructureProducer does not generate the named event, null should be returned.
    Specified by:
      `getStructure` in interface `StructureProducer`
    Parameters:
      `eventName` - the name of the output event that encapsulates the requested output.
    Returns:
      the structure of the output encapsulated in the named event or null if it can't be determined in advance of seeing input or the named event is not generated by this StructureProduce.

  - ### connectionNotification

    public void connectionNotification(String eventName, Object source)
    Notify this object that it has been registered as a listener with a source with respect to the supplied event name
    Specified by:
      `connectionNotification` in interface `BeanCommon`
    Overrides:
      `connectionNotification` in class `AbstractTrainAndTestSetProducer`
    Parameters:
      `eventName` - the event
      `source` - the source with which this object has been registered as a listener

  - ### disconnectionNotification

    public void disconnectionNotification(String eventName, Object source)
    Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name
    Specified by:
      `disconnectionNotification` in interface `BeanCommon`
    Overrides:
      `disconnectionNotification` in class `AbstractTrainAndTestSetProducer`
    Parameters:
      `eventName` - the event
      `source` - the source with which this object has been registered as a listener

  - ### setCustomName

    public void setCustomName(String name)
    Set a custom (descriptive) name for this bean
    Specified by:
      `setCustomName` in interface `BeanCommon`
    Parameters:
      `name` - the name to use

  - ### getCustomName

    public String getCustomName()
    Get the custom (descriptive) name for this bean (if one has been set)
    Specified by:
      `getCustomName` in interface `BeanCommon`
    Returns:
      the custom name (or the default name)

  - ### globalInfo

    public String globalInfo()
    Global info for this bean
    Returns:
      a `String` value

  - ### trainPercentTipText

    public String trainPercentTipText()
    Tip text info for this property
    Returns:
      a `String` value

  - ### setTrainPercent

    public void setTrainPercent(double newTrainPercent)
    Set the percentage of data to be in the training portion of the split
    Parameters:
      `newTrainPercent` - an `int` value

  - ### getTrainPercent

    public double getTrainPercent()
    Get the percentage of the data that will be in the training portion of the split
    Returns:
      an `int` value

  - ### seedTipText

    public String seedTipText()
    Tip text for this property
    Returns:
      a `String` value

  - ### setSeed

    public void setSeed(int newSeed)
    Set the random seed
    Parameters:
      `newSeed` - an `int` value

  - ### getSeed

    public int getSeed()
    Get the value of the random seed
    Returns:
      an `int` value

  - ### acceptTrainingSet

    public void acceptTrainingSet(TrainingSetEvent e)
    Accept a training set
    Specified by:
      `acceptTrainingSet` in interface `TrainingSetListener`
    Parameters:
      `e` - a `TrainingSetEvent` value

  - ### acceptTestSet

    public void acceptTestSet(TestSetEvent e)
    Accept a test set
    Specified by:
      `acceptTestSet` in interface `TestSetListener`
    Parameters:
      `e` - a `TestSetEvent` value

  - ### acceptDataSet

    public void acceptDataSet(DataSetEvent e)
    Accept a data set
    Specified by:
      `acceptDataSet` in interface `DataSourceListener`
    Specified by:
      `acceptDataSet` in class `AbstractTrainAndTestSetProducer`
    Parameters:
      `e` - a `DataSetEvent` value

  - ### stop

    public void stop()
    Stop processing
    Specified by:
      `stop` in interface `BeanCommon`
    Specified by:
      `stop` in class `AbstractTrainAndTestSetProducer`

  - ### isBusy

    public boolean isBusy()
    Returns true if. at this time, the bean is busy with some (i.e. perhaps a worker thread is performing some calculation).
    Specified by:
      `isBusy` in interface `BeanCommon`
    Returns:
      true if the bean is busy.

  - ### enumerateRequests

    public Enumeration<String> enumerateRequests()
    Get list of user requests
    Specified by:
      `enumerateRequests` in interface `UserRequestAcceptor`
    Returns:
      an `Enumeration` value

  - ### performRequest

    public void performRequest(String request)
    Perform the named request
    Specified by:
      `performRequest` in interface `UserRequestAcceptor`
    Parameters:
      `request` - a `String` value
    Throws:
      `IllegalArgumentException` - if an error occurs

  - ### eventGeneratable

    public boolean eventGeneratable(String eventName)
    Returns true, if at the current time, the named event could be generated. Assumes that the supplied event name is an event that could be generated by this bean
    Specified by:
      `eventGeneratable` in interface `EventConstraints`
    Parameters:
      `eventName` - the name of the event in question
    Returns:
      true if the named event could be generated at this point in time